Loading...
Searching...
No Matches
restrictedbasis.hh File Reference
`#include <cstddef>`
`#include <utility>`
`#include <dune/common/typetree/traversal.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::Experimental::RestrictedPreBasis< GV, SDPB, SD >
| A pre-basis restricted to a sub-domain. More...
class | Dune::Functions::Experimental::RestrictedPreBasis< GV, SDPB, SD >::Node
| Template mapping root tree path to type of created tree node. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::Experimental
namespace | Dune::Functions::Experimental::BasisFactory

## Functions

template<class SubDomainBasisFactory, class SubDomain>
auto | Dune::Functions::Experimental::BasisFactory::restrict (SubDomainBasisFactory &&subPreBasisFactory, const SubDomain &subDomain)
| Create a RestrictedPreBasisFactory.